明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 946|回复: 1

怎样遍历文档中的对象

[复制链接]
发表于 2015-7-9 11:43:09 | 显示全部楼层 |阅读模式
请教大家一下,我想遍历文档中的对象

    Sub GetLJCZData(ByVal doc As Document)

        Dim acDoc As Autodesk.AutoCAD.ApplicationServices.Document = Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument
        Dim acDatabase As Database = acDoc.Database

        Using (acDoc.LockDocument)
            Using trans As Transaction = acDatabase.TransactionManager.StartTransaction
                Dim bt As BlockTable = trans.GetObject(acDatabase.BlockTableId, OpenMode.ForWrite)
                Dim btr As BlockTableRecord = trans.GetObject(bt(BlockTableRecord.ModelSpace), OpenMode.ForWrite)

                For Each objId As ObjectId In btr
                    Dim ent As Entity = trans.GetObject(objId, OpenMode.ForWrite)

                    MsgBox(ent.GetType.Name)

                Next
                trans.Commit()
            End Using
        End Using

    End Sub

我只会遍历块,但是有的对象是独立放在文档中的,没有组成块,这部分对象怎么获取?



发表于 2015-7-10 06:52:36 来自手机 | 显示全部楼层
你遍历的是模型空间,正是这一部分
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-25 10:36 , Processed in 0.163127 second(s), 23 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表